module Asyncmessaging
  module Generators

    class InstallGenerator < Rails::Generators::Base
      source_root File.expand_path("../../templates", __FILE__)
      desc "Creates a Async-messaging initializer in your application."

      def copy_initializer
        template "async_messaging.rb", "config/initializers/async_messaging.rb"
      end

    end

  end
end
